org.fourthline.cling

## Class DefaultUpnpServiceConfiguration.ClingExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.fourthline.cling.DefaultUpnpServiceConfiguration.ClingExecutor

- All Implemented Interfaces:
    Executor, ExecutorService
  Enclosing class:
    DefaultUpnpServiceConfiguration

      public static class DefaultUpnpServiceConfiguration.ClingExecutor
      extends ThreadPoolExecutor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUpnpServiceConfiguration.ClingExecutor()`
    `DefaultUpnpServiceConfiguration.ClingExecutor(ThreadFactory threadFactory, RejectedExecutionHandler rejectedHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterExecute(Runnable runnable, Throwable throwable)`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, beforeExecute, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultUpnpServiceConfiguration.ClingExecutor

          public DefaultUpnpServiceConfiguration.ClingExecutor()

    - #### DefaultUpnpServiceConfiguration.ClingExecutor

          public DefaultUpnpServiceConfiguration.ClingExecutor(ThreadFactory threadFactory,
                                                       RejectedExecutionHandler rejectedHandler)

  - ### Method Detail

    - #### afterExecute

          protected void afterExecute(Runnable runnable,
                          Throwable throwable)

      Overrides:
        `afterExecute` in class `ThreadPoolExecutor`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.